
# David - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true
# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif

%define use_enable_final 1

Name:		kdeartwork
Summary: 	Kdeartwork
Version:   	3.2.3
Release:    14mdk

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2



Patch5:		kdelibs-3.2-remove-rpath.patch.bz2

Patch6:		kdeartwork-3.2.3-fix-kde1client-kde-bug-73592.patch.bz2

Patch7:		kdeartworks-3.2.3-fix-kdesavers-kde-bug-83406.patch.bz2

Patch8:		kdeartwork-3.2.3-fix-display-screensaver.patch.bz2

Patch9:		kdeartwork-3.2.3-fix-dotnet.patch.bz2

Patch10:	kdeartwork-3.2.3-fix-kde-bug-89342.patch.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>



%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf2.5
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel >= 3.2-13mdk libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt3-devel
BuildRequires:	libtermcap2 m4 mktemp perl perl-MDK-Common popt
BuildRequires:	rpm-build texinfo zlib1
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts 
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext kdebase-devel kdelibs-devel >=3.2-13mdk libMesaGLU1 libbinutils2
BuildRequires:  libbzip2_1-devel libintl2 libjpeg62-devel liblcms1-devel libmng1-devel
BuildRequires:  libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl perl-MDK-Common popt
BuildRequires:  rpm-build texinfo zlib1 libMesaglut3-devel
%endif

%if %mdkversion >= 920
BuildRequires:  XFree86-devel 
BuildRequires:  freetype2-devel
BuildRequires:  kdebase-devel kdelibs-devel >= 3.2-13mdk libMesaGLU-devel
BuildRequires:  bzip2-devel libintl jpeg-devel lcms-devel mng-devel
BuildRequires:  png-devel qt3-devel
BuildRequires:  libz-devel libMesaglut-devel
%endif


PreReq:		kdebase >= 3.2
Obsoletes:  	kdeartwork3
Provides:	kdeartwork3

Obsoletes:	kdemoreartwork-plastik
Provides:	kdemoreartwork-plastik = %version-%release

Conflicts: 	kdebase =< 2.2.2-93mdk
Conflicts:	libkdebase4 <= 3.1.3-79.1.92mdk kdebase-common <= 3.1.3-79.1.92mdk

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %mdkversion >= 920
BuildRequires: automake1.7
%endif

BuildRequires:	autoconf2.5, xscreensaver
 

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.


%package 	kde-classic
Summary:    Default Icons from kde3.0 
Group:      Graphical desktop/KDE

%description kde-classic
Default Icons from kde3.0.



%package	screensaver-gl
Summary:    Screensaver using OpenGL 
Group:      Graphical desktop/KDE
Requires:	kdebase >= 3.2
Requires:	%name = %version-%release

%description screensaver-gl
Screensaver using OpenGL.



%prep
%setup  -q
%patch5 -p1 -b .fix_remove_rpath
%patch6 -p1 -b .fix_kde1_kde_bug_73592
%patch7 -p1 -b .fix_slideshow_kde_bug_83406
%patch8 -p1 -b .fix_kscreensaver_use_tryexec
%patch9 -p1 -b .fix_dotnet
%patch10 -p1 -b .fix_plastik_kde_bug_89342

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure




%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        %configure --build=%_target_platform \
					--host=%_target_platform \
%if %unstable					
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
                    --enable-final \
%else
                    --disable-final \
%endif					
                    --disable-static \
                    --disable-objprelink \
					--disable-embedded \
					--disable-qtopia \
					--disable-rpath \
					--with-gnu-ld \
					--with-pic \
					--with-xinerama

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

install -d %buildroot/%_menudir/

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

export PATH=%_bindir:$PATH
(
cd %buildroot/%_datadir/applnk/System/ScreenSavers/
for i in *.desktop;
	do 
	T=`echo $i | perl -pi -e "s|\.desktop||"`;
	F=%buildroot/%_menudir/kdeartwork-$T;
	kdedesktop2mdkmenu.pl kdeartwork .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/$i $F kde;
done
)

rm -f %buildroot/%_bindir/kmatrix.kss
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/KMatrix.desktop


rm -f %buildroot/%_menudir/kdeartwork-glmatrix
rm -f %buildroot/%_menudir/kdeartwork-xmatrix

rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/glmatrix.desktop
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/xmatrix.desktop


rm -f %buildroot/%_bindir/kmatrix.kss
rm -f %buildroot/%_datadir/applnk/System/ScreenSavers/KMatrix.desktop

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post screensaver-gl
%update_menus

%postun screensaver-gl
%clean_menus


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)

%_bindir/kbanner.kss       
%_bindir/klines.kss        
%_bindir/kblob.kss         
%_bindir/klorenz.kss       
%_bindir/kpolygon.kss      
%_bindir/kslideshow.kss    
%_bindir/kspace.kss        
%_bindir/kswarm.kss
%_bindir/kclock.kss
%_bindir/kpartsaver.kss    
%_bindir/kscience.kss      
%_bindir/kvm.kss
%_bindir/keuphoria.kss
%_bindir/kflux.kss
%_bindir/kfountain.kss
%_bindir/kgravity.kss
%_bindir/ksolarwinds.kss
%_bindir/kwave.kss
%_bindir/kxsrun
%_bindir/kxsconfig

%_libdir/kde3/kwin3_cde.la
%_libdir/kde3/kwin_cde_config.la
%_libdir/kde3/kwin3_glow.la
%_libdir/kde3/kwin_glow_config.la
%_libdir/kde3/kwin3_openlook.la

%_libdir/kde3/kwin3_system.la
%_libdir/kde3/kwin3_system.so

%_libdir/kde3/kwin3_icewm.la
%_libdir/kde3/kwin_icewm_config.la
%_libdir/kde3/kwin3_icewm.so
%_libdir/kde3/kwin_icewm_config.so


%_libdir/kde3/kwin3_cde.so*
%_libdir/kde3/kwin_cde_config.so*
%_libdir/kde3/kwin3_glow.so*
%_libdir/kde3/kwin_glow_config.so*
%_libdir/kde3/kwin3_openlook.so*
#
%_libdir/kde3/kwin3_kstep.la
%_libdir/kde3/kwin3_kstep.so

%_libdir/kde3/kwin3_plastik.la
%_libdir/kde3/kwin3_plastik.so

%_libdir/kde3/kwin3_kde1.la
%_libdir/kde3/kwin3_kde1.so
	  

%_libdir/kde3/kwin_plastik_config.la
%_libdir/kde3/kwin_plastik_config.so

%_libdir/kde3/kstyle_plastik_config.la
%_libdir/kde3/kstyle_plastik_config.so

%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.so*
%_libdir/kde3/plugins/styles/*.la
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
#
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/*.desktop
%dir %_datadir/apps/kwin/icewm-themes/
%_datadir/apps/kwin/icewm-themes/*.xpm
%_datadir/apps/kwin/icewm-themes/*.theme

%dir %_datadir/apps/kwin/icewm-themes/MenschMaschine/
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.theme
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.xpm
#
%dir %_datadir/apps/kwin/icewm-themes/Model/
%_datadir/apps/kwin/icewm-themes/Model/*.theme
%_datadir/apps/kwin/icewm-themes/Model/*.xpm
#
%dir %_datadir/apps/kwin/glow-themes/
#%_datadir/apps/kwin/glow-themes/*.xpm

%dir %_datadir/apps/kwin/glow-themes/default/
%_datadir/apps/kwin/glow-themes/default/*.png
%_datadir/apps/kwin/glow-themes/default/*.theme

%dir %_datadir/apps/kwin/glow-themes/glass/
%_datadir/apps/kwin/glow-themes/glass/*.png
%_datadir/apps/kwin/glow-themes/glass/*.theme

%dir %_datadir/apps/kwin/glow-themes/glass_huge/
%_datadir/apps/kwin/glow-themes/glass_huge/*.png
%_datadir/apps/kwin/glow-themes/glass_huge/*.theme

%dir %_datadir/apps/kwin/glow-themes/glass_large/
%_datadir/apps/kwin/glow-themes/glass_large/*.png
%_datadir/apps/kwin/glow-themes/glass_large/*.theme

%dir %_datadir/apps/kwin/glow-themes/glass_verylarge/
%_datadir/apps/kwin/glow-themes/glass_verylarge/*.png
%_datadir/apps/kwin/glow-themes/glass_verylarge/*.theme

%dir %_datadir/apps/kwin/glow-themes/square/
%_datadir/apps/kwin/glow-themes/square/*.png
%_datadir/apps/kwin/glow-themes/square/*.theme


%dir %_datadir/apps/kscreensaver/
%_datadir/apps/kscreensaver/*.png
#

%dir %_datadir/apps/kworldclock/
%dir %_datadir/apps/kworldclock/maps/
%dir %_datadir/apps/kworldclock/maps/alt/
%_datadir/apps/kworldclock/maps/alt/*.jpg
%_datadir/apps/kworldclock/maps/alt/*.desktop

%dir %_datadir/apps/kworldclock/maps/bio/
%_datadir/apps/kworldclock/maps/bio/*.jpg
%_datadir/apps/kworldclock/maps/bio/*.desktop

%dir %_datadir/apps/kworldclock/maps/caida/
%_datadir/apps/kworldclock/maps/caida/*.jpg
%_datadir/apps/kworldclock/maps/caida/*.desktop

%dir %_datadir/apps/kworldclock/maps/caida_bw/
%_datadir/apps/kworldclock/maps/caida_bw/*.jpg
%_datadir/apps/kworldclock/maps/caida_bw/*.desktop

%dir %_datadir/apps/kworldclock/maps/depths/
%_datadir/apps/kworldclock/maps/depths/*.jpg

%dir %_datadir/apps/kworldclock/maps/mggd/
%_datadir/apps/kworldclock/maps/mggd/*.jpg
%_datadir/apps/kworldclock/maps/mggd/*.desktop

%dir %_datadir/apps/kworldclock/maps/rainfall/
%_datadir/apps/kworldclock/maps/rainfall/*.jpg
%_datadir/apps/kworldclock/maps/rainfall/*.desktop

#
%dir %_datadir/sounds/
%_datadir/sounds/*.wav

%dir %_datadir/icons/
%dir %_datadir/icons/Locolor/
%dir %_datadir/icons/Locolor/16x16/
%dir %_datadir/icons/Locolor/16x16/actions/
%_datadir/icons/Locolor/16x16/actions/*.png
%dir %_datadir/icons/Locolor/16x16/apps/
%_datadir/icons/Locolor/16x16/apps/*.png

%dir %_datadir/icons/Locolor/16x16/devices/
%_datadir/icons/Locolor/16x16/devices/*.png

%dir %_datadir/icons/Locolor/16x16/filesystems/
%_datadir/icons/Locolor/16x16/filesystems/*.png

%dir %_datadir/icons/Locolor/16x16/mimetypes
%_datadir/icons/Locolor/16x16/mimetypes/*.png


%dir %_datadir/icons/Locolor/32x32/
%dir %_datadir/icons/Locolor/32x32/actions/
%_datadir/icons/Locolor/32x32/actions/*.png
%dir %_datadir/icons/Locolor/32x32/apps/
%_datadir/icons/Locolor/32x32/apps/*.png
%dir %_datadir/icons/Locolor/32x32/devices/
%_datadir/icons/Locolor/32x32/devices/*.png
%dir %_datadir/icons/Locolor/32x32/filesystems/
%_datadir/icons/Locolor/32x32/filesystems/*.png
%dir %_datadir/icons/Locolor/32x32/mimetypes
%_datadir/icons/Locolor/32x32/mimetypes/*.png
%_datadir/icons/Locolor/index.theme

%dir %_datadir/icons/Technical/
%dir %_datadir/icons/Technical/32x32/
%dir %_datadir/icons/Technical/32x32/actions/
%_datadir/icons/Technical/32x32/actions/*.png
%dir %_datadir/icons/Technical/32x32/filesystems/
%_datadir/icons/Technical/32x32/filesystems/*.png
%dir %_datadir/icons/Technical/32x32/mimetypes/
%_datadir/icons/Technical/32x32/mimetypes/*.png


%dir %_datadir/icons/Technical/48x48/
%dir %_datadir/icons/Technical/48x48/filesystems/
%_datadir/icons/Technical/48x48/filesystems/*.png
%dir %_datadir/icons/Technical/48x48/mimetypes/
%_datadir/icons/Technical/48x48/mimetypes/*.png
%_datadir/icons/Technical/index.theme

%dir %_datadir/icons/ikons/
%_datadir/icons/ikons/*

%dir %_datadir/icons/slick/
%_datadir/icons/slick/*

%dir %_datadir/icons/kids/
%dir %_datadir/icons/kids/16x16/
%dir %_datadir/icons/kids/16x16/actions/
%_datadir/icons/kids/16x16/actions/*.png
%dir %_datadir/icons/kids/16x16/filesystems/
%_datadir/icons/kids/16x16/filesystems/*.png
%dir %_datadir/icons/kids/16x16/mimetypes/
%_datadir/icons/kids/16x16/mimetypes/*.png
%dir %_datadir/icons/kids/16x16/devices/
%_datadir/icons/kids/16x16/devices/*.png
%dir %_datadir/icons/kids/16x16/apps/
%_datadir/icons/kids/16x16/apps/*.png

%dir %_datadir/icons/kids/22x22/
%dir %_datadir/icons/kids/22x22/actions/
%_datadir/icons/kids/22x22/actions/*.png
%dir %_datadir/icons/kids/22x22/filesystems/
%_datadir/icons/kids/22x22/filesystems/*.png
%dir %_datadir/icons/kids/22x22/mimetypes/
%_datadir/icons/kids/22x22/mimetypes/*.png
%dir %_datadir/icons/kids/22x22/devices/
%_datadir/icons/kids/22x22/devices/*.png
%dir %_datadir/icons/kids/22x22/apps/
%_datadir/icons/kids/22x22/apps/*.png

%dir %_datadir/icons/kids/32x32/
%dir %_datadir/icons/kids/32x32/actions/
%_datadir/icons/kids/32x32/actions/*.png
%dir %_datadir/icons/kids/32x32/filesystems/
%_datadir/icons/kids/32x32/filesystems/*.png
%dir %_datadir/icons/kids/32x32/mimetypes/
%_datadir/icons/kids/32x32/mimetypes/*.png
%dir %_datadir/icons/kids/32x32/apps/
%_datadir/icons/kids/32x32/apps/*.png
%dir %_datadir/icons/kids/32x32/devices/
%_datadir/icons/kids/32x32/devices/*.png


%dir %_datadir/icons/kids/48x48/
%dir %_datadir/icons/kids/48x48/filesystems/
%_datadir/icons/kids/48x48/filesystems/*.png
%dir %_datadir/icons/kids/48x48/mimetypes/
%_datadir/icons/kids/48x48/mimetypes/*.png
%dir %_datadir/icons/kids/48x48/apps/
%_datadir/icons/kids/48x48/apps/*.png
%dir %_datadir/icons/kids/48x48/devices/
%_datadir/icons/kids/48x48/devices/*.png
%dir %_datadir/icons/kids/48x48/actions/
%_datadir/icons/kids/48x48/actions/*.png

%dir %_datadir/icons/kids/64x64/
%dir %_datadir/icons/kids/64x64/filesystems/
%_datadir/icons/kids/64x64/filesystems/*.png
%dir %_datadir/icons/kids/64x64/mimetypes/
%_datadir/icons/kids/64x64/mimetypes/*.png
%dir %_datadir/icons/kids/64x64/devices/
%_datadir/icons/kids/64x64/devices/*.png
%dir %_datadir/icons/kids/64x64/apps/
%_datadir/icons/kids/64x64/apps/*.png
%dir %_datadir/icons/kids/64x64/actions/
%_datadir/icons/kids/64x64/actions/*.png


%_datadir/icons/kids/index.theme



%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/KBanner.desktop
%_datadir/applnk/System/ScreenSavers/KBlob.desktop
%_datadir/applnk/System/ScreenSavers/KClock.desktop
%_datadir/applnk/System/ScreenSavers/KLines-saver.desktop
%_datadir/applnk/System/ScreenSavers/KLorenz.desktop
%_datadir/applnk/System/ScreenSavers/KPolygon.desktop
%_datadir/applnk/System/ScreenSavers/KScience.desktop
%_datadir/applnk/System/ScreenSavers/KSlideshow.desktop
%_datadir/applnk/System/ScreenSavers/KSwarm.desktop
%_datadir/applnk/System/ScreenSavers/KVm.desktop
%_datadir/applnk/System/ScreenSavers/anemone.desktop
%_datadir/applnk/System/ScreenSavers/ant.desktop
%_datadir/applnk/System/ScreenSavers/apollonian.desktop
%_datadir/applnk/System/ScreenSavers/attraction.desktop
%_datadir/applnk/System/ScreenSavers/barcode.desktop
%_datadir/applnk/System/ScreenSavers/blaster.desktop
%_datadir/applnk/System/ScreenSavers/blitspin.desktop
%_datadir/applnk/System/ScreenSavers/bouboule.desktop
%_datadir/applnk/System/ScreenSavers/braid.desktop
%_datadir/applnk/System/ScreenSavers/bsod.desktop
%_datadir/applnk/System/ScreenSavers/bubbles.desktop
%_datadir/applnk/System/ScreenSavers/bumps.desktop
%_datadir/applnk/System/ScreenSavers/ccurve.desktop
%_datadir/applnk/System/ScreenSavers/cloudlife.desktop
%_datadir/applnk/System/ScreenSavers/compass.desktop
%_datadir/applnk/System/ScreenSavers/coral.desktop
%_datadir/applnk/System/ScreenSavers/critical.desktop
%_datadir/applnk/System/ScreenSavers/crystal.desktop
%_datadir/applnk/System/ScreenSavers/cynosure.desktop
%_datadir/applnk/System/ScreenSavers/decayscreen.desktop
%_datadir/applnk/System/ScreenSavers/deco.desktop
%_datadir/applnk/System/ScreenSavers/deluxe.desktop
%_datadir/applnk/System/ScreenSavers/demon.desktop
%_datadir/applnk/System/ScreenSavers/discrete.desktop
%_datadir/applnk/System/ScreenSavers/distort.desktop
%_datadir/applnk/System/ScreenSavers/drift.desktop
%_datadir/applnk/System/ScreenSavers/epicycle.desktop
%_datadir/applnk/System/ScreenSavers/euler2d.desktop
%_datadir/applnk/System/ScreenSavers/fadeplot.desktop
%_datadir/applnk/System/ScreenSavers/flag.desktop
%_datadir/applnk/System/ScreenSavers/flame.desktop
%_datadir/applnk/System/ScreenSavers/flow.desktop
%_datadir/applnk/System/ScreenSavers/fluidballs.desktop
%_datadir/applnk/System/ScreenSavers/forest.desktop
%_datadir/applnk/System/ScreenSavers/galaxy.desktop
%_datadir/applnk/System/ScreenSavers/goop.desktop
%_datadir/applnk/System/ScreenSavers/grav.desktop
%_datadir/applnk/System/ScreenSavers/greynetic.desktop
%_datadir/applnk/System/ScreenSavers/halftone.desktop
%_datadir/applnk/System/ScreenSavers/halo.desktop
%_datadir/applnk/System/ScreenSavers/helix.desktop
%_datadir/applnk/System/ScreenSavers/hopalong.desktop
%_datadir/applnk/System/ScreenSavers/hyperball.desktop
%_datadir/applnk/System/ScreenSavers/hypercube.desktop
%_datadir/applnk/System/ScreenSavers/ifs.desktop
%_datadir/applnk/System/ScreenSavers/imsmap.desktop
%_datadir/applnk/System/ScreenSavers/interference.desktop
%_datadir/applnk/System/ScreenSavers/jigsaw.desktop
%_datadir/applnk/System/ScreenSavers/juggle.desktop
%_datadir/applnk/System/ScreenSavers/julia.desktop
%_datadir/applnk/System/ScreenSavers/kaleidescope.desktop
%_datadir/applnk/System/ScreenSavers/kpartsaver.desktop
%_datadir/applnk/System/ScreenSavers/kumppa.desktop
%_datadir/applnk/System/ScreenSavers/laser.desktop
%_datadir/applnk/System/ScreenSavers/lightning.desktop
%_datadir/applnk/System/ScreenSavers/lisa.desktop
%_datadir/applnk/System/ScreenSavers/lissie.desktop
%_datadir/applnk/System/ScreenSavers/lmorph.desktop
%_datadir/applnk/System/ScreenSavers/loop.desktop
%_datadir/applnk/System/ScreenSavers/maze.desktop
%_datadir/applnk/System/ScreenSavers/metaballs.desktop
%_datadir/applnk/System/ScreenSavers/moire.desktop
%_datadir/applnk/System/ScreenSavers/moire2.desktop
%_datadir/applnk/System/ScreenSavers/mountain.desktop
%_datadir/applnk/System/ScreenSavers/munch.desktop
%_datadir/applnk/System/ScreenSavers/nerverot.desktop
%_datadir/applnk/System/ScreenSavers/noseguy.desktop
%_datadir/applnk/System/ScreenSavers/pedal.desktop
%_datadir/applnk/System/ScreenSavers/penetrate.desktop
%_datadir/applnk/System/ScreenSavers/penrose.desktop
%_datadir/applnk/System/ScreenSavers/petri.desktop
%_datadir/applnk/System/ScreenSavers/phosphor.desktop
%_datadir/applnk/System/ScreenSavers/piecewise.desktop
%_datadir/applnk/System/ScreenSavers/pixmaps.desktop
%_datadir/applnk/System/ScreenSavers/polyominoes.desktop
%_datadir/applnk/System/ScreenSavers/popsquares.desktop
%_datadir/applnk/System/ScreenSavers/pyro.desktop
%_datadir/applnk/System/ScreenSavers/qix.desktop
%_datadir/applnk/System/ScreenSavers/rd-bomb.desktop
%_datadir/applnk/System/ScreenSavers/ripples.desktop
%_datadir/applnk/System/ScreenSavers/rocks.desktop
%_datadir/applnk/System/ScreenSavers/rorschach.desktop
%_datadir/applnk/System/ScreenSavers/rotor.desktop
%_datadir/applnk/System/ScreenSavers/rotzoomer.desktop
%_datadir/applnk/System/ScreenSavers/shadebobs.desktop
%_datadir/applnk/System/ScreenSavers/sierpinski.desktop
%_datadir/applnk/System/ScreenSavers/slidescreen.desktop
%_datadir/applnk/System/ScreenSavers/slip.desktop
%_datadir/applnk/System/ScreenSavers/sonar.desktop
%_datadir/applnk/System/ScreenSavers/speedmine.desktop
%_datadir/applnk/System/ScreenSavers/sphere.desktop
%_datadir/applnk/System/ScreenSavers/spiral.desktop
%_datadir/applnk/System/ScreenSavers/spotlight.desktop
%_datadir/applnk/System/ScreenSavers/squiral.desktop
%_datadir/applnk/System/ScreenSavers/starfish.desktop
%_datadir/applnk/System/ScreenSavers/starwars.desktop
%_datadir/applnk/System/ScreenSavers/strange.desktop
%_datadir/applnk/System/ScreenSavers/swirl.desktop
%_datadir/applnk/System/ScreenSavers/t3d.desktop
%_datadir/applnk/System/ScreenSavers/thornbird.desktop
%_datadir/applnk/System/ScreenSavers/triangle.desktop
%_datadir/applnk/System/ScreenSavers/truchet.desktop
%_datadir/applnk/System/ScreenSavers/twang.desktop
%_datadir/applnk/System/ScreenSavers/vermiculate.desktop
%_datadir/applnk/System/ScreenSavers/vidwhacker.desktop
%_datadir/applnk/System/ScreenSavers/vines.desktop
%_datadir/applnk/System/ScreenSavers/wander.desktop
%_datadir/applnk/System/ScreenSavers/webcollage.desktop
%_datadir/applnk/System/ScreenSavers/whirlwindwarp.desktop
%_datadir/applnk/System/ScreenSavers/whirlygig.desktop
%_datadir/applnk/System/ScreenSavers/worm.desktop
%_datadir/applnk/System/ScreenSavers/xflame.desktop
%_datadir/applnk/System/ScreenSavers/xjack.desktop
%_datadir/applnk/System/ScreenSavers/xlyap.desktop
%_datadir/applnk/System/ScreenSavers/xrayswarm.desktop
%_datadir/applnk/System/ScreenSavers/xspirograph.desktop
%_datadir/applnk/System/ScreenSavers/xsublim.desktop
%_datadir/applnk/System/ScreenSavers/xteevee.desktop
%_datadir/applnk/System/ScreenSavers/zoom.desktop


#%_datadir/applnk/System/ScreenSavers/KFountain.desktop
#%_datadir/applnk/System/ScreenSavers/KGravity.desktop
#%_datadir/applnk/System/ScreenSavers/KWave.desktop

%dir %_datadir/wallpapers/
%_datadir/wallpapers/*.jpg
%_datadir/wallpapers/*.png
%_menudir/kdeartwork-KBanner
%_menudir/kdeartwork-KBlob
%_menudir/kdeartwork-KClock
%_menudir/kdeartwork-KLines-saver
%_menudir/kdeartwork-KLorenz
%_menudir/kdeartwork-KPolygon
%_menudir/kdeartwork-KScience
%_menudir/kdeartwork-KSlideshow
%_menudir/kdeartwork-KSwarm
%_menudir/kdeartwork-KVm
%_menudir/kdeartwork-anemone
%_menudir/kdeartwork-ant
%_menudir/kdeartwork-apollonian
%_menudir/kdeartwork-attraction
%_menudir/kdeartwork-barcode
%_menudir/kdeartwork-blaster
%_menudir/kdeartwork-blitspin
%_menudir/kdeartwork-bouboule
%_menudir/kdeartwork-braid
%_menudir/kdeartwork-bsod
%_menudir/kdeartwork-bubbles
%_menudir/kdeartwork-bumps
%_menudir/kdeartwork-ccurve
%_menudir/kdeartwork-cloudlife
%_menudir/kdeartwork-compass
%_menudir/kdeartwork-coral
%_menudir/kdeartwork-critical
%_menudir/kdeartwork-crystal
%_menudir/kdeartwork-cynosure
%_menudir/kdeartwork-decayscreen
%_menudir/kdeartwork-deco
%_menudir/kdeartwork-deluxe
%_menudir/kdeartwork-demon
%_menudir/kdeartwork-discrete
%_menudir/kdeartwork-distort
%_menudir/kdeartwork-drift
%_menudir/kdeartwork-epicycle
%_menudir/kdeartwork-euler2d
%_menudir/kdeartwork-fadeplot
%_menudir/kdeartwork-flag
%_menudir/kdeartwork-flame
%_menudir/kdeartwork-flow
%_menudir/kdeartwork-fluidballs
%_menudir/kdeartwork-forest
%_menudir/kdeartwork-galaxy
%_menudir/kdeartwork-goop
%_menudir/kdeartwork-grav
%_menudir/kdeartwork-greynetic
%_menudir/kdeartwork-halftone
%_menudir/kdeartwork-halo
%_menudir/kdeartwork-helix
%_menudir/kdeartwork-hopalong
%_menudir/kdeartwork-hyperball
%_menudir/kdeartwork-hypercube
%_menudir/kdeartwork-ifs
%_menudir/kdeartwork-imsmap
%_menudir/kdeartwork-interference
%_menudir/kdeartwork-jigsaw
%_menudir/kdeartwork-juggle
%_menudir/kdeartwork-julia
%_menudir/kdeartwork-kaleidescope
%_menudir/kdeartwork-kpartsaver
%_menudir/kdeartwork-kumppa
%_menudir/kdeartwork-laser
%_menudir/kdeartwork-lightning
%_menudir/kdeartwork-lisa
%_menudir/kdeartwork-lissie
%_menudir/kdeartwork-lmorph
%_menudir/kdeartwork-loop
%_menudir/kdeartwork-maze
%_menudir/kdeartwork-metaballs
%_menudir/kdeartwork-moire
%_menudir/kdeartwork-moire2
%_menudir/kdeartwork-mountain
%_menudir/kdeartwork-munch
%_menudir/kdeartwork-nerverot
%_menudir/kdeartwork-noseguy
%_menudir/kdeartwork-pedal
%_menudir/kdeartwork-penetrate
%_menudir/kdeartwork-penrose
%_menudir/kdeartwork-petri
%_menudir/kdeartwork-phosphor
%_menudir/kdeartwork-piecewise
%_menudir/kdeartwork-pixmaps
%_menudir/kdeartwork-polyominoes
%_menudir/kdeartwork-popsquares
%_menudir/kdeartwork-pyro
%_menudir/kdeartwork-qix
%_menudir/kdeartwork-rd-bomb
%_menudir/kdeartwork-ripples
%_menudir/kdeartwork-rocks
%_menudir/kdeartwork-rorschach
%_menudir/kdeartwork-rotor
%_menudir/kdeartwork-rotzoomer
%_menudir/kdeartwork-shadebobs
%_menudir/kdeartwork-sierpinski
%_menudir/kdeartwork-slidescreen
%_menudir/kdeartwork-slip
%_menudir/kdeartwork-sonar
%_menudir/kdeartwork-speedmine
%_menudir/kdeartwork-sphere
%_menudir/kdeartwork-spiral
%_menudir/kdeartwork-spotlight
%_menudir/kdeartwork-squiral
%_menudir/kdeartwork-starfish
%_menudir/kdeartwork-starwars
%_menudir/kdeartwork-strange
%_menudir/kdeartwork-swirl
%_menudir/kdeartwork-t3d
%_menudir/kdeartwork-thornbird
%_menudir/kdeartwork-triangle
%_menudir/kdeartwork-truchet
%_menudir/kdeartwork-twang
%_menudir/kdeartwork-vermiculate
%_menudir/kdeartwork-vidwhacker
%_menudir/kdeartwork-vines
%_menudir/kdeartwork-wander
%_menudir/kdeartwork-webcollage
%_menudir/kdeartwork-whirlwindwarp
%_menudir/kdeartwork-whirlygig
%_menudir/kdeartwork-worm
%_menudir/kdeartwork-xflame
%_menudir/kdeartwork-xjack
%_menudir/kdeartwork-xlyap
%_menudir/kdeartwork-xrayswarm
%_menudir/kdeartwork-xspirograph
%_menudir/kdeartwork-xsublim
%_menudir/kdeartwork-xteevee
%_menudir/kdeartwork-zoom


%files screensaver-gl
%defattr(-,root,root,-)
%_datadir/applnk/System/ScreenSavers/KEuphoria.desktop
%_datadir/applnk/System/ScreenSavers/KFlux.desktop
%_datadir/applnk/System/ScreenSavers/KFountain.desktop
%_datadir/applnk/System/ScreenSavers/KGravity.desktop
%_datadir/applnk/System/ScreenSavers/KSolarWinds.desktop
%_datadir/applnk/System/ScreenSavers/KSpace.desktop
%_datadir/applnk/System/ScreenSavers/KWave.desktop
%_datadir/applnk/System/ScreenSavers/antspotlight.desktop
%_datadir/applnk/System/ScreenSavers/atlantis.desktop
%_datadir/applnk/System/ScreenSavers/atunnel.desktop
%_datadir/applnk/System/ScreenSavers/blocktube.desktop
%_datadir/applnk/System/ScreenSavers/bouncingcow.desktop
%_datadir/applnk/System/ScreenSavers/boxed.desktop
%_datadir/applnk/System/ScreenSavers/bubble3d.desktop
%_datadir/applnk/System/ScreenSavers/cage.desktop
%_datadir/applnk/System/ScreenSavers/circuit.desktop
%_datadir/applnk/System/ScreenSavers/cubenetic.desktop
%_datadir/applnk/System/ScreenSavers/cubestorm.desktop
%_datadir/applnk/System/ScreenSavers/dangerball.desktop
%_datadir/applnk/System/ScreenSavers/endgame.desktop
%_datadir/applnk/System/ScreenSavers/engine.desktop
%_datadir/applnk/System/ScreenSavers/eruption.desktop
%_datadir/applnk/System/ScreenSavers/extrusion.desktop
%_datadir/applnk/System/ScreenSavers/flipflop.desktop
%_datadir/applnk/System/ScreenSavers/flipscreen3d.desktop
%_datadir/applnk/System/ScreenSavers/flurry.desktop
%_datadir/applnk/System/ScreenSavers/flyingtoasters.desktop
%_datadir/applnk/System/ScreenSavers/gears.desktop
%_datadir/applnk/System/ScreenSavers/gflux.desktop
%_datadir/applnk/System/ScreenSavers/glblur.desktop
%_datadir/applnk/System/ScreenSavers/glforestfire.desktop
%_datadir/applnk/System/ScreenSavers/glknots.desktop
%_datadir/applnk/System/ScreenSavers/glplanet.desktop
%_datadir/applnk/System/ScreenSavers/glslideshow.desktop
%_datadir/applnk/System/ScreenSavers/glsnake.desktop
%_datadir/applnk/System/ScreenSavers/gltext.desktop
%_datadir/applnk/System/ScreenSavers/hypertorus.desktop
%_datadir/applnk/System/ScreenSavers/jigglypuff.desktop
%_datadir/applnk/System/ScreenSavers/klein.desktop
%_datadir/applnk/System/ScreenSavers/lament.desktop
%_datadir/applnk/System/ScreenSavers/lavalite.desktop
%_datadir/applnk/System/ScreenSavers/menger.desktop
%_datadir/applnk/System/ScreenSavers/moebius.desktop
%_datadir/applnk/System/ScreenSavers/molecule.desktop
%_datadir/applnk/System/ScreenSavers/morph3d.desktop
%_datadir/applnk/System/ScreenSavers/pipes.desktop
%_datadir/applnk/System/ScreenSavers/polytopes.desktop
%_datadir/applnk/System/ScreenSavers/pulsar.desktop
%_datadir/applnk/System/ScreenSavers/queens.desktop
%_datadir/applnk/System/ScreenSavers/rubik.desktop
%_datadir/applnk/System/ScreenSavers/sballs.desktop
%_datadir/applnk/System/ScreenSavers/sierpinski3d.desktop
%_datadir/applnk/System/ScreenSavers/spheremonics.desktop
%_datadir/applnk/System/ScreenSavers/sproingies.desktop
%_datadir/applnk/System/ScreenSavers/stairs.desktop
%_datadir/applnk/System/ScreenSavers/stonerview.desktop
%_datadir/applnk/System/ScreenSavers/superquadrics.desktop

%_menudir/kdeartwork-KEuphoria
%_menudir/kdeartwork-KFlux
%_menudir/kdeartwork-KFountain
%_menudir/kdeartwork-KGravity
%_menudir/kdeartwork-KSolarWinds
%_menudir/kdeartwork-KSpace
%_menudir/kdeartwork-KWave
%_menudir/kdeartwork-antspotlight
%_menudir/kdeartwork-atlantis
%_menudir/kdeartwork-atunnel
%_menudir/kdeartwork-blocktube
%_menudir/kdeartwork-bouncingcow
%_menudir/kdeartwork-boxed
%_menudir/kdeartwork-bubble3d
%_menudir/kdeartwork-cage
%_menudir/kdeartwork-circuit
%_menudir/kdeartwork-cubenetic
%_menudir/kdeartwork-cubestorm
%_menudir/kdeartwork-dangerball
%_menudir/kdeartwork-endgame
%_menudir/kdeartwork-engine
%_menudir/kdeartwork-eruption
%_menudir/kdeartwork-extrusion
%_menudir/kdeartwork-flipflop
%_menudir/kdeartwork-flipscreen3d
%_menudir/kdeartwork-flurry
%_menudir/kdeartwork-flyingtoasters
%_menudir/kdeartwork-gears
%_menudir/kdeartwork-gflux
%_menudir/kdeartwork-glblur
%_menudir/kdeartwork-glforestfire
%_menudir/kdeartwork-glknots
%_menudir/kdeartwork-glplanet
%_menudir/kdeartwork-glslideshow
%_menudir/kdeartwork-glsnake
%_menudir/kdeartwork-gltext
%_menudir/kdeartwork-hypertorus
%_menudir/kdeartwork-jigglypuff
%_menudir/kdeartwork-klein
%_menudir/kdeartwork-lament
%_menudir/kdeartwork-lavalite
%_menudir/kdeartwork-menger
%_menudir/kdeartwork-moebius
%_menudir/kdeartwork-molecule
%_menudir/kdeartwork-morph3d
%_menudir/kdeartwork-pipes
%_menudir/kdeartwork-polytopes
%_menudir/kdeartwork-pulsar
%_menudir/kdeartwork-queens
%_menudir/kdeartwork-rubik
%_menudir/kdeartwork-sballs
%_menudir/kdeartwork-sierpinski3d
%_menudir/kdeartwork-spheremonics
%_menudir/kdeartwork-sproingies
%_menudir/kdeartwork-stairs
%_menudir/kdeartwork-stonerview
%_menudir/kdeartwork-superquadrics

%files kde-classic
%defattr(-,root,root,-)
%dir %_datadir/icons/kdeclassic/
%dir %_datadir/icons/kdeclassic/16x16/
%dir %_datadir/icons/kdeclassic/16x16/actions/
%_datadir/icons/kdeclassic/16x16/actions/*.png
%dir %_datadir/icons/kdeclassic/16x16/apps/
%_datadir/icons/kdeclassic/16x16/apps/*.png
%dir %_datadir/icons/kdeclassic/16x16/devices/
%_datadir/icons/kdeclassic/16x16/devices/*.png
%dir %_datadir/icons/kdeclassic/16x16/filesystems/
%_datadir/icons/kdeclassic/16x16/filesystems/*.png
%dir %_datadir/icons/kdeclassic/16x16/mimetypes/
%_datadir/icons/kdeclassic/16x16/mimetypes/*.png
%_datadir/icons/kdeclassic/16x16/mimetypes/*.mng


%dir %_datadir/icons/kdeclassic/22x22/
%dir %_datadir/icons/kdeclassic/22x22/actions/
%_datadir/icons/kdeclassic/22x22/actions/*.png

%dir %_datadir/icons/kdeclassic/22x22/apps/
%_datadir/icons/kdeclassic/22x22/apps/*.png

%dir %_datadir/icons/kdeclassic/22x22/mimetypes/
%_datadir/icons/kdeclassic/22x22/mimetypes/*.png




%dir %_datadir/icons/kdeclassic/32x32/
%dir %_datadir/icons/kdeclassic/32x32/apps/
%_datadir/icons/kdeclassic/32x32/apps/*.png
%dir %_datadir/icons/kdeclassic/32x32/actions/
%_datadir/icons/kdeclassic/32x32/actions/*.png
%dir %_datadir/icons/kdeclassic/32x32/devices/
%_datadir/icons/kdeclassic/32x32/devices/*.png
%dir %_datadir/icons/kdeclassic/32x32/filesystems/
%_datadir/icons/kdeclassic/32x32/filesystems/*.png
%dir %_datadir/icons/kdeclassic/32x32/mimetypes/
%_datadir/icons/kdeclassic/32x32/mimetypes/*.png
%dir %_datadir/icons/kdeclassic/48x48/
%dir %_datadir/icons/kdeclassic/48x48/apps/
%_datadir/icons/kdeclassic/48x48/apps/*.png
%dir %_datadir/icons/kdeclassic/48x48/devices/
%_datadir/icons/kdeclassic/48x48/devices/*.png
%dir %_datadir/icons/kdeclassic/48x48/filesystems/
%_datadir/icons/kdeclassic/48x48/filesystems/*.png
%dir %_datadir/icons/kdeclassic/48x48/actions/
%_datadir/icons/kdeclassic/48x48/actions/*.png
%dir %_datadir/icons/kdeclassic/48x48/mimetypes/
%_datadir/icons/kdeclassic/48x48/mimetypes/*.png




%dir %_datadir/icons/kdeclassic/64x64/
%dir %_datadir/icons/kdeclassic/64x64/filesystems/
%_datadir/icons/kdeclassic/64x64/filesystems/*.png
%dir %_datadir/icons/kdeclassic/64x64/mimetypes/
%_datadir/icons/kdeclassic/64x64/mimetypes/*.png
%_datadir/icons/kdeclassic/index.theme


%_datadir/config/antrc
%_datadir/config/attractionrc
%_datadir/config/bouboulerc
%_datadir/config/bubblesrc
%_datadir/config/coralrc
%_datadir/config/crystalrc
%_datadir/config/decayscreenrc
%_datadir/config/deluxerc
%_datadir/config/demonrc
%_datadir/config/driftrc
%_datadir/config/epicyclerc
%_datadir/config/fadeplotrc
%_datadir/config/flamerc
%_datadir/config/flowrc
%_datadir/config/forestrc
%_datadir/config/gearsrc
%_datadir/config/gooprc
%_datadir/config/gravrc
%_datadir/config/halorc
%_datadir/config/imsmaprc
%_datadir/config/interferencerc
%_datadir/config/kumpparc
%_datadir/config/laserrc
%_datadir/config/lissierc
%_datadir/config/penroserc
%_datadir/config/rocksrc
%_datadir/config/sliprc




%changelog
* Thu Sep 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-14mdk
- Fix menu entry (bug reported by F. Crozat)

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-13mdk
- Add patch10: fix plastik style kde bug 89342

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-12mdk
- add patch9: fix dotnet style

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-11mdk
- Add patch8: use tryexec into screensaver

* Tue Aug 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-10mdk
- Add patch7: fix kde bug #83406 "kslideshow screensaver does not start nor
					configure when images directory does not exist anymore"

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Remove explicite requires just for icons

* Mon Aug 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Disable debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Add patch6: fix kde1 style kde bug #73592

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Create package for opengl screensaver

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Rebuild with new kdedesktop2mdkmenu.pl

* Mon Jul 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Create screensaver from xscreensaver

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun  4 2004 Montel Laurent <lmontel@mandrakesoft.com> 3.2.2-5mdk
- Rebuild

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-4mdk
- Rebuild with debug

* Thu May 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-3mdk
- Rebuild against qt 3.3.2

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Fix twice 64x64 directory bug reported by Pascal BILLERY-SCHNEIDER <pascal.billery-schneider@bluewin.ch>

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix spec file

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- System them reactivate

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Rebuild with good kdedektop2mdkmenu.pl

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Sync with CVS

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distlint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix package freeze

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type
- Add use_enable_final variable

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Fix update from MDK9.2

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Tue Dec 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2
- Fix group

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Obsolete/provides kdemoreartwork-plastik

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Fix compile

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Tue Oct 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS 

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Sync with CVS 

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix build

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix build

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix requires
- Add __cputoolize

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Fix spec file

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- Add buildfor9.2

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Create package for default kde3.0

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Integrate Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- Oops rename it

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.8-1mdk
- beta2

* Sun Oct 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add conflict

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch6 : fix other about dialog

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch5 : fix about icon in screensaver about dialogbox

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix icon in about dialogbox

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch3 : fix mem leak

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Rebuild aginst gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Rebuild against libstdc++

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- fix menu-entry

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix spec file for 8.0

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3


* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.4mdk
- Fix BuildRequires on 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Set unstable macro to 1
- Enable debug

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- spec file

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.2mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Wed Nov 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Thu Oct 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-2mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Thu Sep 18 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Sep 14 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-6mdk
- Add description

* Thu Sep 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-5mdk
- Fix group name

* Wed Sep 04 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-4mdk
- Add requires kdebase

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs

* Thu Aug 16 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Tue Aug 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre 1

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Clean spec
- Rewrite %%files sections

* Tue Jun 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
